{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block extra_style_block %}
    {{block.super}}
    <style>
            .btn-payment {
                float: right;
                color: #fff;
            }
            .txt-search {
                width: auto;
                display: initial !important;
            }
            .btn-search {
                display: initial !important;
                padding: 6.2px 12px;
                margin: 0 2px 0 -4px;
                background: #3d8dbc;
                border: 1px solid #09649a;
            }
            .fa-search {
                color: #fff;
            }
            .bgc {
                background: rgba(0,0,0,.075);
            }
            .sku {
                cursor: pointer;
            }
            .even {background: rgba(0,0,0,.075);}
            .odd {background: rgba(0,0,0,.075);}
        </style>
    
        <style>
            .txt-search {
                width: auto;
                display: initial !important;
            }
            .btn-search {
                display: initial !important;
                padding: 6.2px 12px;
                margin: 0 2px 0 -4px;
                background: #3d8dbc;
                border: 1px solid #09649a;
            }
            .fa-search {
                color: #fff;
            }
    
            .col-cust-add{
              float: left;
              padding-left: 15px;
              float: left;
              padding-left: 15px;
              font-size: 16px;
              font-weight: 600;
              color: #333;
              line-height: 1.45;
            }
            .col-cust-add h2{
              text-transform: capitalize;
              font-size: 24px;
              margin: 0 0 0px 0;
              font-weight: 600;
              line-height: 1.2;
            }
            .col-cust-add.col-business-add{
              padding: 3px 5px;
              word-spacing: 0px;
              background: #dddddd82;
              box-shadow: 0px 0px 5px #f5e1e1;
              float: right;
              border-radius: 4px;
              margin: 10px 19px 0px;
            }
            .col-cust-add.col-business-add span{
              padding: 5px 8px;
              display: inline-block;
              background-color: #f39c12;
              border-color: #e08e0b;
              border-radius: 4px;
              margin-bottom: 5px;
              color:#fff;
            }
        </style>
    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
    </style>
{% endblock %}
{% block content %}

<form class="from-horizontal" method="post" enctype="multipart/form-data">
    {% csrf_token %}
    <span style="margin-top: -15px;" id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
                <h1 style="margin-top: -18px;" class="back-list">Warehouses</h1>

<div>
        <section class="content-header col-content">
    
            
        {% if request.user.is_superuser %}
        <p class="creatBtn-wrapper">
                <button type="submit"><a href="{% url 'create_warehouse' %}">Create</a></button>
                <button type="submit" name="export" class="export">Export</button>    
            </p>
        {%endif%}
        <div class="row" style="margin-top: -46px; margin-right: 4px">
                <div class="search-container text-right">                            
                    <input class="form-control txt-search" value="{{search}}" type="text" placeholder="Search.." name="search">
                        <button class="btn-search" type="submit">
                            <i class="fa fa-search"></i>
                        </button>                            
                </div>
                {% autoescape off %}
                    <span style="color:green; float: right"><b>{{querycount}}</b></span>
                {% endautoescape off %}
            </div>
            <div class="row">
                    <address class="col-cust-add col-business-add">
                        <span style="background-color: #00c0ef;border-color: #00acd6;">
                            Total no of Warehouses: {{warehousesCount|default:"0"}}
                        </span>
                        
                    </address>
                </div>
</section>
    <table class="table table-bordered">
        <thead>
        <tr>
            <th>Warehouse Code</th>
            <th>Name</th>
            <th>Address</th>
            <th>State</th>
            <th>City</th>
            <th>Pincode</th>
            <th>Contact No.</th>
            <th>WH User Name</th>
            {% if request.user.is_superuser %}
            <th>Action</th>
            {%endif%}
        </tr>
        </thead>

        <tbody>
        {% if warehouses|length > 0 %}
            {% for wh in warehouses %}
                <tr>
                    <td>{{wh.warehouse_code}}</td>
                    <td>{{wh.warehouse_name}}</td>
                    <td>{{wh.address_line1}} {{wh.address_line2}}</td>
                    <td>{{wh.state}}</td>
                    <td>{{wh.city}}</td>
                    <td>{{wh.pin_code}}</td>
                    <td>{{wh.contact_number}}</td>
                    <td>{{wh.user_id}}</td>
                    {% if request.user.is_superuser %}
                    <td>
                        <a href="{% url 'create_warehouse' %}?warehouse_code={{wh.warehouse_code}}">Edit</a>&nbsp;&nbsp;
                        <a id="delete_{{forloop.counter}}" data-ref="/master/warehouse/delete/{{wh.warehouse_code}}" style="margin-left: 20px; cursor:pointer">delete</a>
                    </td>
                    {%endif%}
                </tr>
            {% endfor %}
        {% else %}
            <tr>
                {% if request.user.is_superuser %}
                    <td style="text-align: center;" colspan="9">No data found.</td>
                {% else %}
                    <td style="text-align: center;" colspan="8">No data found.</td>
                {% endif %}
            </tr>
        {% endif %}
        </tbody>
    </table>
</div>
    <div id="modal-danger" class="modal fade modal-alert modal-danger">
        <div class="modal-dialog modal-dialog-new">
            <div class="modal-content modal-content-new">
                <div class="modal-header modal-header-new" style="background-color:#e46050 !important">
                    <i class="fa fa-times-circle"></i>
                </div>
                <div class="modal-title modal-title-new">Delete</div>
                <div class="modal-body modal-body-new" style="color:#444 !important;background-color:#fff !important">Are you sure you want to delete?</div>
                <div class="modal-footer modal-footer-new" style="background-color:#fff !important;border-top:1px solid #fff !important">
                    <a id="delete-confirm-id" class="btn btn-danger btn-3d">Yes</a>
                    <a class="btn btn-info btn-3d" data-dismiss="modal">No</a>
                </div>
            </div>
        </div>
    </div>
</form>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}
<script>
    $(document).ready(function() {


            $(document).on('click', '[id^="delete_"]', function() {
                var delete_href = $(this).attr('data-ref')
                $("#delete-confirm-id").attr("href", delete_href);

                $('#modal-danger').modal('show');
            });
      });
</script>
{% endblock %}